stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | Protected Member Functions | List of all members
stdex::stream::replicator::worker Class Reference
Inheritance diagram for stdex::stream::replicator::worker:

## Public Types
enum class | op_t { noop = 0 , quit , write , close , flush }

## Public Member Functions
| worker (basic *_source)

## Public Attributes
basic * | source
enum stdex::stream::replicator::worker::op_t | op
| Operation to perform.
const void * | data
| Data to write.
size_t | length
| Byte limit of data to write.
size_t | num_written
| Number of bytes written.
std::mutex | mutex
std::condition_variable | cv

## Protected Member Functions
void | process_op ()

The documentation for this class was generated from the following file:

- include/stdex/stream.hpp